package net.vtstar.zhongtong.avi.access.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 17:23
 */
@ApiModel(value = "总装车间--新能源检测点", description = "新能源检测点监控数据表")
@Data
@Search(code = "NEW_ENERGY")
@Table(name = "assembly_new_energy")
public class AssemblyNewEnergy {

    @Show(label = "车辆标识")
    @ApiModelProperty(notes = "车辆标识")
    @Column(name = "SerialNo")
    @Search
    private String SerialNo;

    @Show(label = "当前工步")
    @ApiModelProperty(notes = "当前工步")
    @Column(name = "TIName")
    private String TIName;

    @Show(label = "检测结果")
    @ApiModelProperty(notes = "检测结果")
    @Column(name = "ResultValue")
    private Double ResultValue;

    @Show(label = "单位")
    @ApiModelProperty(notes = "单位")
    @Column(name = "ResultUnit")
    private String ResultUnit;

    @Show(label = "系统时间")
    @ApiModelProperty(notes = "测试时间")
    @Column(name = "SystemTime")
    private String SystemTime;

    @Show(label = "所在位置")
    @ApiModelProperty(notes = "所在位置")
    @Column(name = "ipAddress")
    private String ipAddress;

    @Show(label = "同步时间")
    @ApiModelProperty(notes = "同步时间")
    @Column(name = "create_time")
    private Date createTime;
}
