package net.vtstar.zhongtong.avi.access.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 17:23
 */
@ApiModel(value = "底盘车间--车轮定位", description = "四轮定位监控数据表")
@Data
@Search(code = "WHEEL_ALIGNMENT")
@Table(name = "wheel_alignment")
public class WheelAlignment {

    @Show(label = "工作订单")
    @Column(name = "WorkOrderID")
    @ApiModelProperty(notes = "工作订单")
    @Search
    private String WorkOrderID;

    @Show(label = "开始时间")
    @Column(name = "StartDateTime")
    @ApiModelProperty(notes = "开始时间")
    private String StartDateTime;

    @Show(label = "结束时间")
    @Column(name = "EndDateTime")
    @ApiModelProperty(notes = "结束时间")
    private String EndDateTime;

    @Show(label = "制造厂")
    @Column(name = "Make")
    @ApiModelProperty(notes = "制造厂")
    private String Make;

    @Show(label = "型号")
    @Column(name = "Model")
    @ApiModelProperty(notes = "型号")
    @Search
    private String Model;

    @Show(label = "VIN")
    @Column(name = "VIN")
    @ApiModelProperty(notes = "VIN")
    @Search
    private String VIN;

    @Show(label = "前轮前束(左,最初)")
    @Column(name = "LFToeI")
    @ApiModelProperty(notes = "前轮前束(左,最初)")
    private String LFToeI;

    @Show(label = "前轮前束(左,最终)")
    @Column(name = "LFToeF")
    @ApiModelProperty(notes = "前轮前束(左,最终)")
    private String LFToeF;

    @Show(label = "前轮前束(右,最初)")
    @Column(name = "RFToeI")
    @ApiModelProperty(notes = "前轮前束(右,最初)")
    private String RFToeI;

    @Show(label = "前轮前束(右,最终)")
    @Column(name = "RFToeF")
    @ApiModelProperty(notes = "前轮前束(右,最终)")
    private String RFToeF;

    @Show(label = "前轮外倾角(左,最初)")
    @Column(name = "LFCamI")
    @ApiModelProperty(notes = "前轮外倾角(左,最初)")
    private String LFCamI;

    @Show(label = "前轮外倾角(左,最终)")
    @Column(name = "LFCamF")
    @ApiModelProperty(notes = "前轮外倾角(左,最终)")
    private String LFCamF;

    @Show(label = "前轮外倾角(右,最初)")
    @Column(name = "RFCamI")
    @ApiModelProperty(notes = "前轮外倾角(右,最初)")
    private String RFCamI;

    @Show(label = "前轮外倾角(右,最终)")
    @Column(name = "RFCamF")
    @ApiModelProperty(notes = "前轮外倾角(右,最终)")
    private String RFCamF;

    @Show(label = "后倾角(左,最初)")
    @Column(name = "LCasI")
    @ApiModelProperty(notes = "后倾角(左,最初)")
    private String LCasI;

    @Show(label = "后倾角(左,最终)")
    @Column(name = "LCasF")
    @ApiModelProperty(notes = "后倾角(左,最终)")
    private String LCasF;

    @Show(label = "后倾角(右,最初)")
    @Column(name = "RCasI")
    @ApiModelProperty(notes = "后倾角(右,最初)")
    private String RCasI;

    @Show(label = "后倾角(右,最终)")
    @Column(name = "RCasF")
    @ApiModelProperty(notes = "后倾角(右,最终)")
    private String RCasF;

    @Show(label = "Kpi(左,最初)")
    @Column(name = "LKpiI")
    @ApiModelProperty(notes = "Kpi(左,最初)")
    private String LKpiI;

    @Show(label = "Kpi(左,最终)")
    @Column(name = "LKpiF")
    @ApiModelProperty(notes = "Kpi(左,最终)")
    private String LKpiF;

    @Show(label = "Kpi(右,最初)")
    @Column(name = "RKpiI")
    @ApiModelProperty(notes = "Kpi(右,最初)")
    private String RKpiI;

    @Show(label = "Kpi(右,最终)")
    @Column(name = "RKpiF")
    @ApiModelProperty(notes = "Kpi(右,最终)")
    private String RKpiF;

    @Show(label = "艾克尔曼角(左)")
    @Column(name = "LAckermanF")
    @ApiModelProperty(notes = "艾克尔曼角(左)")
    private String  LAckermanF;

    @Show(label = "艾克尔曼角(右)")
    @Column(name = "RAckermanF")
    @ApiModelProperty(notes = "艾克尔曼角(右)")
    private String RAckermanF;

    @Show(label = "最大旋转角度(左)")
    @Column(name = "LMaxTurnF")
    @ApiModelProperty(notes = "最大旋转角度(左)")
    private String LMaxTurnF;

    @Show(label = "最大旋转角度(右)")
    @Column(name = "RMaxTurnF")
    @ApiModelProperty(notes = "最大旋转角度(右)")
    private String RMaxTurnF;

    @Show(label = "后桥推进线-桥错误(最初)")
    @Column(name = "Tandem0I")
    @ApiModelProperty(notes = "后桥推进线-桥错误(最初)")
    private String Tandem0I;

    @Show(label = "后桥推进线-桥错误(最终)")
    @Column(name = "Tandem0D1I")
    @ApiModelProperty(notes = "后桥推进线-桥错误(最终)")
    private String Tandem0D1I;

    @Show(label = "所在位置")
    @Column(name = "ipAddress")
    @ApiModelProperty(notes = "所在设备IP")
    private String ipAddress;

    @Show(label = "同步时间")
    @ApiModelProperty(notes = "同步时间")
    @Column(name = "create_time")
    private Date createTime;
}
