package net.vtstar.zhongtong.avi.equipment.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/29 9:31
 */
@ApiModel("涂装车间工单表")
@Data
@Search(code = "MES_WORKORDER_INFO")
@Table(name = "mes_work_order_info")
public class MesWorkOrderInfo {

    @Show(label = "销售订单号")
    @ApiModelProperty(notes = "销售订单号")
    @Column(name = "sales_order_no")
    @Search
    private String salesOrderNo;

    @Show(label = "主计划工单号")
    @ApiModelProperty(notes = "主计划工单号")
    @Column(name = "master_work_order_no")
    @Search
    private String masterWorkOrderNo;

    @Show(label = "车间计划工单号")
    @ApiModelProperty(notes = "车间计划工单号")
    @Column(name = "work_order_no")
    @Search
    private String workOrderNo;

    @Show(label = "车型")
    @ApiModelProperty(notes = "车型")
    @Column(name = "vehicle_model")
    private String vehicleModel;

    @Show(label = "订单数量")
    @ApiModelProperty(notes = "订单数量")
    @Column(name = "order_quantity")
    private Integer orderQuantity;

    @Show(label = "单位")
    @ApiModelProperty(notes = "单位")
    @Column(name = "unit")
    private String unit;

    @Show(label = "车间")
    @ApiModelProperty(notes = "车间")
    @Column(name = "workshop")
    private String workshop;

    @Show(label = "产线")
    @ApiModelProperty(notes = "产线")
    @Column(name = "production_line")
    private String productionLine;

    @Show(label = "计划开始时间")
    @ApiModelProperty(notes = "计划开始时间")
    @Column(name = "start_date")
    private Date startDate;

    @Show(label = "计划结束时间")
    @ApiModelProperty(notes = "计划结束时间")
    @Column(name = "end_date")
    private Date endDate;

    @Show(label = "计划交期")
    @ApiModelProperty(notes = "计划交期")
    @Column(name = "delivery_date")
    private Date deliveryDate;

    @Show(label = "状态")
    @ApiModelProperty(notes = "状态")
    @Column(name = "status")
    private String status;

    @Show(label = "创建时间")
    @ApiModelProperty(notes = "创建时间")
    @Column(name = "crt_date")
    private Date crtDate;

}
