package net.vtstar.zhongtong.avi.gateway.assembly.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 11:52
 */

@ApiModel(value = "总装车间车间--地板革热熔涂胶设备", description = "地板隔热熔监控数据表")
@Data
@Search(code = "FLOOR_LEATHER_HOT")
@Table(name = "eqp_data_floor_leather_hot")
public class FloorLeatherHotMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Show(label = "设备名称")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String alias;

    @Show(label = "模头1区温度")
    @ApiModelProperty(notes = "模头1区温度")
    @Column(name = "die_temperature1")
    private Integer dieTemperature1;

    @Show(label = "模头2区温度")
    @ApiModelProperty(notes = "模头2区温度")
    @Column(name = "die_temperature2")
    private Integer dieTemperature2;

    @Show(label = "模头3区温度")
    @ApiModelProperty(notes = "模头3区温度")
    @Column(name = "die_temperature3")
    private Integer dieTemperature3;

    @Show(label = "模头4区温度")
    @ApiModelProperty(notes = "模头4区温度")
    @Column(name = "die_temperature4")
    private Integer dieTemperature4;

    @Show(label = "模头5区温度")
    @ApiModelProperty(notes = "模头5区温度")
    @Column(name = "die_temperature5")
    private Integer dieTemperature5;

    @Show(label = "模头6区温度")
    @ApiModelProperty(notes = "模头6区温度")
    @Column(name = "die_temperature6")
    private Integer dieTemperature6;

    @Show(label = "模头7区温度")
    @ApiModelProperty(notes = "模头7区温度")
    @Column(name = "die_temperature7")
    private Integer dieTemperature7;

    @Show(label = "模头8区温度")
    @ApiModelProperty(notes = "模头8区温度")
    @Column(name = "die_temperature8")
    private Integer dieTemperature8;

    @Show(label = "模头9区温度")
    @ApiModelProperty(notes = "模头9区温度")
    @Column(name = "die_temperature9")
    private Integer dieTemperature9;

    @Show(label = "模头10区温度")
    @ApiModelProperty(notes = "模头10区温度")
    @Column(name = "die_temperature10")
    private Integer dieTemperature10;

    @Show(label = "模头11区温度")
    @ApiModelProperty(notes = "模头11区温度")
    @Column(name = "die_temperature11")
    private Integer dieTemperature11;

    @Show(label = "当前产量")
    @ApiModelProperty(notes = "当前产量")
    @Column(name = "current_yield")
    private Float currentYield;

    @Show(label = "上胶量")
    @ApiModelProperty(notes = "上胶量")
    @Column(name = "gluing_amount")
    private Float gluingAmount;

    @Show(label = "设备状态")
    @Column(name = "state")
    @ApiModelProperty(notes = "设备状态(0是关机，1是运行)")
    private Integer status;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;
}
