package net.vtstar.zhongtong.avi.gateway.assembly.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 11:52
 */

@ApiModel(value = "总装车间车间--助力油加注", description = "助力油加注机监控数据表")
@Data
@Search(code = "FOCUS_BOOSTER_OIL")
@Table(name = "eqp_data_focus_booster_oil")
public class FocusBoosterOilMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String equipCode;

    @Show(label = "设备名称")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String alias;

    @Show(label = "枪1加注量(ml)")
    @ApiModelProperty(notes = "枪1加注量(ml)")
    @Column(name = "filling_amount1")
    private int fillingAmount1;

    @Show(label = "枪2加注量(ml)")
    @ApiModelProperty(notes = "枪2加注量(ml)")
    @Column(name = "filling_amount2")
    private int fillingAmount2;

    @Show(label = "设备状态")
    @Column(name = "state")
    @ApiModelProperty(notes = "设备状态(0是关机，1是运行)")
    private Integer status;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;
}
