package net.vtstar.zhongtong.avi.gateway.assembly.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 11:52
 */

@ApiModel(value = "总装车间--板链记录", description = "总装板链监控数据表")
@Data
@Search(code = "ASSEMBLY_PLATE_CHAIN")
@Table(name = "eqp_data_assembly_plate_chain")
public class PlateChainMachine{

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String equipCode;

    @Show(label = "设备名称")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String alias;

    @Show(label = "当班平均运行间隔时间")
    @ApiModelProperty(notes = "当班平均运行间隔时间")
    @Column(name = "average_time")
    private String averageTime;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;
}
