package net.vtstar.zhongtong.avi.gateway.chassis.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 11:52
 */

@ApiModel(value = "底盘车间车间--智能扭力扳手", description = "底盘拧紧机监控数据表")
@Data
@Search(code = "CHASSIS_TORQUE_WRENCH")
@Table(name = "eqp_data_chassis_torque_wrench")
public class ChassisTorqueWrench  extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String equipCode;

    @Show(label = "设备名称")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String alias;

    @Show(label = "一轴扭矩")
    @ApiModelProperty(notes = "一轴扭矩")
    @Column(name = "shaft_torque_1")
    private Integer shaftTorque1;

    @Show(label = "二轴扭矩")
    @ApiModelProperty(notes = "二轴扭矩")
    @Column(name = "shaft_torque_2")
    private Integer shaftTorque2;

    @Show(label = "三轴扭矩")
    @ApiModelProperty(notes = "三轴扭矩")
    @Column(name = "shaft_torque_3")
    private Integer shaftTorque3;

    @Show(label = "四轴扭矩")
    @ApiModelProperty(notes = "四轴扭矩")
    @Column(name = "shaft_torque_4")
    private Integer shaftTorque4;

    @Show(label = "设备状态")
    @Column(name = "state")
    @ApiModelProperty(notes = "设备状态(0是关机，1是运行)")
    private Integer status;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;
}
