package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "PAINTING_ROBOT")
@ApiModel(value = "喷涂机器人", description = "喷涂机器人监控数据表")
@Table(name = "eqp_data_painting_robot")
public class PaintingRobotMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    @Search
    private String equipCode;

    @Show(label = "系统是否运行")
    @Column(name = "run_state")
    @ApiModelProperty(notes = "系统是否运行")
    private int runState;

    @Show(label = "系统是否报警")
    @Column(name = "error_state")
    @ApiModelProperty(notes = "系统是否报警")
    private int errorState;

    @Show(label = "系统状态")
    @Column(name = "state")
    @ApiModelProperty(notes = "系统状态")
    private Integer status;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

}
