package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel("涂装-喷涂室风机状态及报警信息")
@Table(name = "eqp_data_spray_booth_state")
public class SprayBoothStateMachine extends EquipmentData {

    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Column(name = "pfj_error")
    @ApiModelProperty(notes = "排风机故障信号")
    private Integer pfjError;

    @Column(name = "state")
    @ApiModelProperty(notes = "排风机运行信号")
    private Integer state;

    @Column(name = "sfj_error")
    @ApiModelProperty(notes = "送风机故障信号")
    private Integer sfjError;

    @Column(name = "sfcw_error")
    @ApiModelProperty(notes = "送风超温信号")
    private Integer sfcwError;

    @Column(name = "xhsj_error")
    @ApiModelProperty(notes = "循环水泵故障信号")
    private Integer xhsjError;

    @Column(name = "xhsgyw_error")
    @ApiModelProperty(notes = "循环水高液位信号")
    private Integer xhsgywError;

    @Column(name = "rsj_error")
    @ApiModelProperty(notes = "燃烧机故障信号")
    private Integer rsjError;

    @Column(name = "qtxl_error")
    @ApiModelProperty(notes = "气体泄露报警信号")
    private Integer qtxlError;

    @Column(name = "js_error")
    @ApiModelProperty(notes = "加湿故障信号")
    private Integer jsError;

    @Column(name = "sfcs_error")
    @ApiModelProperty(notes = "送风超湿信号")
    private Integer sfcsError;

    @Column(name = "jt_error")
    @ApiModelProperty(notes = "急停钮")
    private Integer jtError;

    @ApiModelProperty("时间")
    @Column(name = "create_time")
    private Date createTime;

    private Integer status;

}
