package net.vtstar.zhongtong.avi.gateway.parts.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "DUSTING_LINE")
@ApiModel(value = "喷粉线", description = "喷粉线监控数据表")
@Table(name = "eqp_data_dusting_line")
public class DustingLineMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Show(label = "链速")
    @Column(name = "chain_speed")
    @ApiModelProperty(notes = "链速")
    private int chainSpeed;

    @Show(label = "喷粉一状态")
    @Column(name = "state_1")
    @ApiModelProperty(notes = "喷粉一状态")
    private String state1;

    @Show(label = "喷粉二状态")
    @Column(name = "state_2")
    @ApiModelProperty(notes = "喷粉二状态")
    private String state2;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    private Integer status;
}
