package net.vtstar.zhongtong.avi.gateway.parts.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "PRETREATMENT")
@ApiModel(value = "前处理", description = "前处理监控数据表")
@Table(name = "eqp_data_pretreatment")
public class PretreatmentMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Show(label = "热纯水燃烧机温度")
    @Column(name = "rcs_temperature")
    @ApiModelProperty(notes = "热纯水燃烧机温度")
    private String rcsTemperature;

    @Show(label = "防锈工位燃烧机温度")
    @Column(name = "fxgw_temperature")
    @ApiModelProperty(notes = "防锈工位燃烧机温度")
    private String fxgwTemperature;

    @Show(label = "磷化热说泵温度")
    @Column(name = "lh_temperature")
    @ApiModelProperty(notes = "磷化热说泵温度")
    private String lhTemperature;

    @Show(label = "电动三通阀温度")
    @Column(name = "ddst_temperature")
    @ApiModelProperty(notes = "电动三通阀温度")
    private String ddstTemperature;

    @Show(label = "脱脂电动三通阀温度")
    @Column(name = "tz_temperature")
    @ApiModelProperty(notes = "脱脂电动三通阀温度")
    private String tzTemperature;

    @Show(label = "预脱脂电动三通阀温度")
    @Column(name = "ytz_temperature")
    @ApiModelProperty(notes = "预脱脂电动三通阀温度")
    private String ytzTemperature;

    @Show(label = "2#若酸洗槽时间(s)")
    @Column(name = "rsc2_time")
    @ApiModelProperty(notes = "2#若酸洗槽时间")
    private Integer rsc2Time;

    @Show(label = "3#中和槽时间(s)")
    @Column(name = "zhc3_time")
    @ApiModelProperty(notes = "3#中和槽时间")
    private Integer zhc3Time;

    @Show(label = "4#水洗4槽时间(s)")
    @Column(name = "sx4_time")
    @ApiModelProperty(notes = "4#水洗4槽时间")
    private Integer sx4Time;

    @Show(label = "5#表调时间(s)")
    @Column(name = "bt5_time")
    @ApiModelProperty(notes = "5#表调时间")
    private Integer bt5Time;

    @Show(label = "6#磷化时间(s)")
    @Column(name = "lh6_time")
    @ApiModelProperty(notes = "6#磷化时间")
    private Integer lh6Time;

    @Show(label = "7#水洗5时间(s)")
    @Column(name = "sx7_time")
    @ApiModelProperty(notes = "7#水洗5时间")
    private Integer sx7Time;

    @Show(label = "8#表调时间(s)")
    @Column(name = "bt8_time")
    @ApiModelProperty(notes = "8#表调时间")
    private Integer bt8Time;

    @Show(label = "9#热纯水时间(s)")
    @Column(name = "rcs9_time")
    @ApiModelProperty(notes = "9#热纯水时间")
    private Integer rcs9Time;

    @Show(label = "10#防锈液时间(s)")
    @Column(name = "fx10_time")
    @ApiModelProperty(notes = "10#防锈液时间")
    private Integer fx10Time;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;
}
