package net.vtstar.zhongtong.avi.gateway.parts.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "STEEL_CNC_CUTTING")
@ApiModel(value = "型钢数控下料", description = "型钢数控下料监控数据表")
@Table(name = "eqp_data_steel_cnc_cutting")
public class SteelCncCuttingMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Show(label = "设备名称")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String alias;

    @Show(label = "设备状态")
    @Column(name = "state")
    @ApiModelProperty(notes = "设备状态")
    private String stateString;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;

    private Integer state;
}
