package net.vtstar.zhongtong.avi.gateway.trial.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 11:52
 */

@ApiModel(value = "试交车间--加氢站", description = "加氢站监控数据表")
@Data
@Search(code = "HYDROGEN_STATIONVoc")
@Table(name = "eqp_data_hydrogen_station")
public class HydrogenStationVocMachine extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Show(label = "设备名称")
    @Column(name = "eqp_name")
    @ApiModelProperty(notes = "设备名称")
    @Search
    private String alias;

    @Show(label = "卸气口压力(Mpa)")
    @ApiModelProperty(notes = "卸气口压力(Mpa)")
    @Column(name = "discharge_port_pressure")
    private Float dischargePortPressure;

    @Show(label = "氢气源压力(mmH2O)")
    @ApiModelProperty(notes = "氢气源压力(mmH2O)")
    @Column(name = "hydrogen_source_pressure")
    private Float hydrogenSourcePressure;

    @Show(label = "泵出口压力(Mpa)")
    @ApiModelProperty(notes = "泵出口压力(Mpa)")
    @Column(name = "pump_outlet_pressure")
    private Float pumpOutletPressure;

    @Show(label = "仪表风压力(Mpa)")
    @ApiModelProperty(notes = "仪表风压力(Mpa)")
    @Column(name = "instrument_air_pressure")
    private Float instrumentAirPressure;

    @Show(label = "油温度(°C)")
    @ApiModelProperty(notes = "油温度(°C)")
    @Column(name = "oil_temperature")
    private Float oilTemperature;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    private Date createTime;

    @Column(name = "state")
    @ApiModelProperty(notes = "设备状态(0是关机，1是运行)")
    private Integer status;
}
