package net.vtstar.zhongtong.avi.gateway.welding.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@Search(code = "PLC_CONTROL_TIRE_2")
@ApiModel(value = "PLC数控合装胎, 网口", description = "PLC数控合装胎监控数据表")
@Table(name = "eqp_data_control_tire_2")
public class PlcControlTireMachine2 extends EquipmentData {

    @Show(label = "设备编号")
    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Show(label = "上梁宽")
    @Column(name = "top_bus_width")
    @ApiModelProperty(notes = "上梁宽")
    private Float topBusWidth;

    @Show(label = "上梁高")
    @Column(name = "top_bus_height")
    @ApiModelProperty(notes = "上梁高")
    private Float topBusHeight;

    @Show(label = "下梁宽")
    @Column(name = "bottom_bus_width")
    @ApiModelProperty(notes = "下梁宽")
    private Float bottomBusWidth;

    @Show(label = "上/下车长")
    @Column(name = "bus_length")
    @ApiModelProperty(notes = "上/下车长")
    private Float busLength;

    @Show(label = "上/下车宽")
    @Column(name = "bus_width")
    @ApiModelProperty(notes = "上/下车宽")
    private Float busWidth;

    @Show(label = "裙边宽")
    @Column(name = "skirt_width")
    @ApiModelProperty(notes = "裙边宽")
    private Float skirtWidth;

    @Show(label = "裙边高")
    @Column(name = "skirt_height")
    @ApiModelProperty(notes = "裙边高")
    private Float skirtHeight;

    @Show(label = "腰梁高")
    @Column(name = "waist_height")
    @ApiModelProperty(notes = "腰梁高")
    private Float waistHeight;

    @Show(label = "地盘高")
    @Column(name = "site_height")
    @ApiModelProperty(notes = "地盘高")
    private Float siteHeight;

    @Show(label = "采集时间",dataType = FieldType.DATETIME)
    @ApiModelProperty("时间")
    @Column(name = "create_time")
    @Search
    private Date createTime;
}
