/*
 * DailyCheckRecord.java
 * Copyright(C) 山东万腾科技
 * All rights reserved.
 */
package net.vtstar.zhongtong.avi.laboratory.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@ApiModel(value = "涂装日常检测记录表")
@Data
@Search(code = "DAILY_CHECK_RECORD")
@Table(name = "daily_check_record")
public class DailyCheckRecord {

    @Id
    @ApiModelProperty(notes = "序号")
    private Integer id;

    @Column(name = "type")
    @ApiModelProperty(notes = "类型(酸洗/电泳槽/前处理)")
    private String type;

    @Column(name = "rev")
    @ApiModelProperty(notes = "版本状态")
    private String rev;

    @Column(name = "sheet_no")
    @ApiModelProperty(notes = "记录编号")
    private String sheetNo;

    @Search
    @Column(name = "no")
    @ApiModelProperty(notes = "流水号")
    private String no;

    @Column(name = "record_info")
    @ApiModelProperty(notes = "槽液调整记录")
    private String recordInfo;

    @Column(name = "remarks")
    @ApiModelProperty(notes = "备注")
    private String remarks;

    @Search
    @Column(name = "create_by")
    @ApiModelProperty(notes = "化验员")
    private String createBy;

    @Search
    @Column(name = "create_time")
    @ApiModelProperty(notes = "检测日期")
    private Date createTime;
}