/*
 * DailyItemModel.java
 * Copyright(C) 山东万腾科技
 * All rights reserved.
 */
package net.vtstar.zhongtong.avi.laboratory.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import java.util.Date;

@ApiModel(value = "涂装日常检测项模板表")
@Data
@Table(name = "daily_item_model")
public class DailyItemModel {

    @Id
    private Long id;

    @NotNull(message = "检测模板ID为空!")
    @Column(name = "check_model_id")
    @ApiModelProperty(notes = "检测模板ID")
    private Integer checkModelId;

    @Column(name = "order_num")
    @ApiModelProperty(notes = "序号")
    private Integer orderNum;

    @Column(name = "name")
    @ApiModelProperty(notes = "检测项目")
    private String name;

    @Column(name = "range_upper")
    @ApiModelProperty(notes = "控制范围(上限)")
    private Integer rangeUpper;

    @Column(name = "range_lower")
    @ApiModelProperty(notes = "控制范围(下限)")
    private Integer rangeLower;

    @Column(name = "range_all")
    @ApiModelProperty(notes = "控制范围")
    private String rangeAll;

    @Column(name = "frequency")
    @ApiModelProperty(notes = "频次")
    private String frequency;

    @Column(name = "is_necessary")
    @ApiModelProperty(notes = "是否为必检项")
    private Boolean isNecessary;

    @ApiModelProperty(notes = "创建时间")
    private Date createTime;

    @ApiModelProperty(notes = "修改时间")
    private Date updateTime;

    @ApiModelProperty(notes = "创建人：登录名")
    private String createBy;

    @ApiModelProperty(notes = "修改人：登录名")
    private String updateBy;
}