/*
 * DailyItemRecord.java
 * Copyright(C) 山东万腾科技
 * All rights reserved.
 */
package net.vtstar.zhongtong.avi.laboratory.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@ApiModel(value = "涂装日常检测项记录表")
@Data
@Table(name = "daily_item_record")
public class DailyItemRecord {

    @Id
    private Long id;

    @Column(name = "check_record_id")
    @ApiModelProperty(notes = "检测记录ID")
    private Integer checkRecordId;

    @Column(name = "order_num")
    @ApiModelProperty(notes = "序号")
    private Integer orderNum;

    @Column(name = "name")
    @ApiModelProperty(notes = "检测项目")
    private String name;

    @Column(name = "check_result")
    @ApiModelProperty(notes = "检测指标")
    private String checkResult;

    @Column(name = "range_upper")
    @ApiModelProperty(notes = "控制范围(上限)")
    private Float rangeUpper;

    @Column(name = "range_lower")
    @ApiModelProperty(notes = "控制范围(下限)")
    private Float rangeLower;

    @Column(name = "range_all")
    @ApiModelProperty(notes = "控制范围")
    private String rangeAll;

    @Column(name = "frequency")
    @ApiModelProperty(notes = "频次")
    private String frequency;

    @Column(name = "is_necessary")
    @ApiModelProperty(notes = "是否为必检项")
    private Boolean isNecessary;


    @Column(name = "create_time")
    @ApiModelProperty(notes = "取样时间")
    private Date createTime;
}