package net.vtstar.zhongtong.avi.sqlserver.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: xiadongwei
 * @Date: 2019/10/17 11:52
 */

@ApiModel(value = "总装车间车间--智能扭力扳手", description = "总装拧紧机监控数据表")
@Data
@Search(code = "ASSEMBLY_TORQUE_WRENCH")
@Table(name = "assembly_torque_wrench")
public class AssemblyTorqueWrench {

    @Show(label = "单位")
    @ApiModelProperty(notes = "单位")
    @Column(name = "identifier")
    @Search
    private String identifier;

    @Show(label = "程序名称")
    @ApiModelProperty(notes = "程序名称")
    @Column(name = "ProgramName")
    @Search
    private String ProgramName;

    @Show(label = "程序版本时间", dataType = FieldType.DATETIME)
    @ApiModelProperty(notes = "程序版本时间")
    @Column(name = "ProgramDateTime")
    private Date ProgramDateTime;

    @Show(label = "扭力")
    @ApiModelProperty(notes = "扭力")
    @Column(name = "FinalTorque")
    private Float FinalTorque;

    @Show(label = "创建时间", dataType = FieldType.DATETIME)
    @ApiModelProperty(notes = "创建时间")
    @Column(name = "ResultDateTime")
    private Date ResultDateTime;

    @Show(label = "整体状态")
    @ApiModelProperty(notes = "整体状态")
    @Column(name = "OverallStatus")
    private String OverallStatus;

    @Show(label = "扭力状态")
    @ApiModelProperty(notes = "扭力状态")
    @Column(name = "TorqueStatus")
    private String TorqueStatus;
}
