package net.vtstar.zhongtong.avi.sqlserver.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * 试交车间--检测线
 * @Author: xiadongwei
 * @Date: 2019/10/16 10:23
 */
@ApiModel(value = "试交车间--检测线", description = "试交检测线监控数据表")
@Data
@Search(code = "CHECK_LINE")
@Table(name = "test_line_result")
public class TestLineResult {

    @Show(label = "PID")
    @ApiModelProperty(notes = "PID")
    @Column(name = "PID")
    @Search
    private String PID;

    @Show(label = "VIN")
    @ApiModelProperty(notes = "车身号")
    @Column(name = "VIN")
    @Search
    private String VIN;

    @Show(label = "测试时间", dataType = FieldType.DATETIME)
    @ApiModelProperty(notes = "测试时间")
    @Column(name = "TEST_TIME")
    private Date TEST_TIME;

    @Show(label = "一轴轴重")
    @ApiModelProperty(notes = "一轴轴重")
    @Column(name = "FST_WEIGHT")
    private Float FST_WEIGHT;

    @Show(label = "二轴轴重")
    @ApiModelProperty(notes = "二轴轴重")
    @Column(name = "SEC_WEIGHT")
    private Float SEC_WEIGHT;

    @Show(label = "总轴重")
    @ApiModelProperty(notes = "总轴重")
    @Column(name = "TOTAL_WEIGHT")
    private Float TOTAL_WEIGHT;

    @Show(label = "一轴最大制动力（左）")
    @ApiModelProperty(notes = "一轴最大制动力（左）")
    @Column(name = "FST_LBRAKE_FORCE")
    private Float FST_LBRAKE_FORCE;

    @Show(label = "一轴最大制动力（右）")
    @ApiModelProperty(notes = "一轴最大制动力（右）")
    @Column(name = "FST_RBRAKE_FORCE")
    private Float FST_RBRAKE_FORCE;

    @Show(label = "二轴最大制动力（左）")
    @ApiModelProperty(notes = "二轴最大制动力（左）")
    @Column(name = "SEC_LBRAKE_FORCE")
    private Float SEC_LBRAKE_FORCE;

    @Show(label = "二轴最大制动力（右）")
    @ApiModelProperty(notes = "二轴最大制动力（右）")
    @Column(name = "SEC_RBRAKE_FORCE")
    private Float SEC_RBRAKE_FORCE;

    @Show(label = "喇叭声级")
    @ApiModelProperty(notes = "声级")
    @Column(name = "SPEAKER")
    private Float SPEAKER;

    @Show(label = "远光发光强度/cd（左主灯）")
    @ApiModelProperty(notes = "远光发光强度/cd（左主灯）")
    @Column(name = "LAMP_LEFT_LUM")
    private Float LAMP_LEFT_LUM;

    @Show(label = "远光发光强度/cd（右主灯）")
    @ApiModelProperty(notes = "远光发光强度/cd（右主灯）")
    @Column(name = "LAMP_RIGHT_LUM")
    private Float LAMP_RIGHT_LUM;

    @Show(label = "排放-汽油-高怠速CO（%）")
    @ApiModelProperty(notes = "排放-汽油-高怠速CO（%）")
    @Column(name = "GAS_HICO")
    private Float GAS_HICO;

    @Show(label = "排放-汽油-高怠速HC（ppm）")
    @ApiModelProperty(notes = "排放-汽油-高怠速HC（ppm）")
    @Column(name = "GAS_HIHC")
    private Float GAS_HIHC;

    @Show(label = "排放-汽油-怠速CO（%）")
    @ApiModelProperty(notes = "排放-汽油-怠速CO（%）")
    @Column(name = "GAS_LOWCO")
    private Float GAS_LOWCO;

    @Show(label = "排放-汽油-怠速HC（ppm）")
    @ApiModelProperty(notes = "排放-汽油-怠速HC（ppm）")
    @Column(name = "GAS_LOWHC")
    private Float GAS_LOWHC;

    @Show(label = "排放-柴油-平均光吸收系数")
    @ApiModelProperty(notes = "排放-柴油-平均光吸收系数")
    @Column(name = "SMOKE_AVER")
    private Float SMOKE_AVER;

    @Show(label = "速度")
    @ApiModelProperty(notes = "速度")
    @Column(name = "SPEED")
    private Float SPEED;

    @Show(label = "侧滑阻尼值")
    @ApiModelProperty(notes = "侧滑阻尼值")
    @Column(name = "SIDESLIP")
    private Float SIDESLIP;

    @Show(label = "检测结果")
    @ApiModelProperty(notes = "检测结果")
    @Column(name = "TEST_RESULT")
    private String TEST_RESULT;

}
