package net.vtstar.zhongtong.avi.sqlserver.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.user.search.Search;
import net.vtstar.zhongtong.avi.global.web.Show;
import net.vtstar.zhongtong.avi.global.web.domain.enums.FieldType;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * 试交车间--动静态检测(限速值,错误帧)
 *
 * @Author: xiadongwei
 * @Date: 2019/10/16 10:23
 */
@ApiModel(value = "试交车间--动静态检测(限速值,错误帧)", description = "动静态检测监控数据表")
@Data
@Search(code = "DYNAMIC_STATIC_TEST")
@Table(name = "test_speed_result")
public class TestSpeedResult {

    @Show(label = "VIN")
    @ApiModelProperty(notes = "vin")
    @Column(name = "vin")
    @Search
    private String vin;

    @Show(label = "厂牌型号")
    @ApiModelProperty(notes = "厂牌型号")
    @Column(name = "MODEL_ID")
    private String MODEL_ID;

    @Show(label = "测试时间", dataType = FieldType.DATETIME)
    @ApiModelProperty(notes = "测试时间")
    @Column(name = "test_date")
    private Date testDate;

    @Show(label = "限速值")
    @ApiModelProperty(notes = "限速值")
    @Column(name = "SPEED_MAX")
    private Float SPEED_MAX;

    @Show(label = "检测结果")
    @ApiModelProperty(notes = "检测结果")
    @Column(name = "SPEED_XSDG")
    private String SPEEDXSDG;

    @Show(label = "速度下限")
    @ApiModelProperty(notes = "速度下限")
    @Column(name = "SPEED_XSBZ0")
    private Float SPEED_XSBZ0;

    @Show(label = "速度上限")
    @ApiModelProperty(notes = "速度上限")
    @Column(name = "SPEED_XSBZ1")
    private Float SPEED_XSBZ1;

    @Show(label = "错误帧")
    @ApiModelProperty(notes = "错误帧")
    @Column(name = "error_frame")
    private Integer errorFrame;
}
